{% extends '::base.html.twig' %}

{% block title %}Pedidos{% endblock title %}

{% form_theme formAsigna '::Forms/bootstrapForm.html.twig' %}

{% block body %}
<div class="container generalContainer" id="pf_opmenu">
	{{ form_start(formAsigna) }}
	<table class="table table-bordered table-striped table-condensed">
		<thead>
			<tr>
				<th></th>
				<th>No.</th>
				<th>Cliente</th>
				<th>Fecha</th>
				<th>Tipo de Pago</th>
				<th>Estatus</th>
				<th>PedidoSAP</th>
				<th>Productos</th>
			</tr>
		</thead>
		<tbody>
			{% for entity in entities %}
			<tr>
				<td><input type="checkbox" name="form[pedidos][]" value="{{ entity.idPedido }}" /></td>
				<td>{{ entity.idPedido }}</td>
				<td>{{ entity.cliente }}</td>
				<td>{{ entity.fecha |date('Y/m/d') }}</td>
				<td>{{ entity.pago.descripcion }}</td>
				<td>{{ entity.estatus.descripcion }}</td>
				<td>{{ entity.pedidoSAP }}</td>
				<td>
				{%  for detalle in entity.productos %}
					{{ detalle.productoPrecio.producto.descripcion }}
					{% if not loop.last %},{% endif %}
				{% endfor %}
				</td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	<!--{{ form_row(attribute(formAsigna, "pedidos")) }}-->
	{{ form_rest(formAsigna) }}
	{{ form_end(formAsigna) }}
</div>
{% endblock body %}
